# Yahoo! UI Library

### node 3.3.0

Yahoo! UI Library > node > node-event-simulate.js (source view)
Search:
Filters Show Private Show Protected Show Deprecated

    /**
     * Adds functionality to simulate events.
     * @module node
     * @submodule node-event-simulate
     */

        /**
         * Simulates an event on the node.
         * @param {String} type The type of event to simulate (i.e., "click").
         * @param {Object} options (Optional) Extra options to copy onto the event object.
         * @return {void}
         * @for Node
         * @method simulate
         */
        Y.Node.prototype.simulate = function(type, options) {
            Y.Event.simulate(Y.Node.getDOMNode(this), type, options);
        };

Copyright © 2011 Yahoo! Inc. All rights reserved.